Description

THIS IS NOT THE MOD DOWNLOAD! YOU STILL NEED THE EDAIN DEMO ITSELF! THE LAUNCHER WON'T WORK WITHOUT THE DEMO! This is the download for the official Edain Mod Launcher. People having problems updating it through the launcher itself can download new launcher updates here. The Launcher update comes with a setup routine, just double click the downloaded file to run it.

Preview
Edain Mod Launcher 1.3.0.2 [Edain Demo required]
Comments  (0 - 50 of 180)
Sanguinius
Sanguinius - - 5,719 comments

So if my launcher is working correctly i don't have to download this?

Reply Good karma Bad karma+4 votes
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

It will be installed nevertheless if you search for updates. ;)

Reply Good karma+3 votes
The_Wailing_Waters
The_Wailing_Waters - - 341 comments

Since I've updated the launcher an error notification Always pops up saying that the launcher is not in the path of the default game or something and that it might not work correctly...

Reply Good karma Bad karma+2 votes
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Whoops, yeah, small mistake on my side. Going to upload an update right now.

Reply Good karma+7 votes
The_Wailing_Waters
The_Wailing_Waters - - 341 comments

wow, that's quick, cheers mate!

Reply Good karma Bad karma+6 votes
Guest
Guest - - 692,087 comments

I sadly still get this message when i open the launcher.. how is that possible? :(

Reply Good karma Bad karma+1 vote
MrBriggs18
MrBriggs18 - - 56 comments

For me this thing appears always on previous version of launcher too. Turn it oof, turn it on - message is here.

Reply Good karma Bad karma+1 vote
Kark-Jocke
Kark-Jocke - - 14,704 comments

Very nice that you guys make a solution for others who may be have problems with the launcher. Keep up the good work Edain Team!

Reply Good karma Bad karma+4 votes
SauronLordofTheEarth
SauronLordofTheEarth - - 881 comments

I thought this was Lothlorien patch biggest disappointment ever but still great job

Reply Good karma Bad karma+1 vote
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Thats why you should read descriptions. :P

Reply Good karma+5 votes
DavidPinto
DavidPinto - - 79 comments

By the way, eleves are the next faction?

Reply Good karma Bad karma+1 vote
TiberiusOgden
TiberiusOgden - - 2,061 comments

Yes, Lothlorien will be next faction.

Reply Good karma Bad karma+4 votes
SauronLordofTheEarth
SauronLordofTheEarth - - 881 comments

Turin I did and thats when I found out lol. :P

Reply Good karma Bad karma+2 votes
karoldabrowski7161
karoldabrowski7161 - - 39 comments

This launcher is pretty. :)

Reply Good karma Bad karma+2 votes
AidanLynge
AidanLynge - - 69 comments

Hey. I have a little problem here, but it works another way, just wanna share. I have Windows 10 Pro, and if i try to start the game from the launcher, it says i have to insert the CD, but i start with the original, it works. Any solution for this problem? If you say try to download and install, it doesn't help :) sry

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,087 comments

i have an error when i open the launcher it opens a window and it say error mod not installed please is there anu solution for this

Reply Good karma Bad karma0 votes
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Jeah, install the mod. Thats why it is written big everywhere on this download.

Reply Good karma+1 vote
Meriadoc_Brandybuck
Meriadoc_Brandybuck - - 16 comments

I have a problem, when i update the launcher and i start it I got this message

Error: 64 and 32 bits registry strings of the game found. Updating might not work correctly.

Reply Good karma Bad karma+2 votes
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Do you have a 32 bit or a 64 bit windows installed?

Reply Good karma+1 vote
Meriadoc_Brandybuck
Meriadoc_Brandybuck - - 16 comments

64 bits.

Reply Good karma Bad karma+1 vote
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Ok then write "regedit" into your windows searchbar to open the registry editor. Go to the following folder and delete it:
HKEY_LOCAL_MACHINE\SOFTWARE\Electronic Arts\The Lord of the Rings, The Rise of the Witch-king
Also delete this one if it is there:
HKEY_LOCAL_MACHINE\SOFTWARE\Electronic Arts\The Battle for Middle-earth II

Reply Good karma+1 vote
Meriadoc_Brandybuck
Meriadoc_Brandybuck - - 16 comments

Thanks, now works :).

Reply Good karma Bad karma+1 vote
Pdr_Elessar
Pdr_Elessar - - 3 comments

I'm having problems with the Edain update , when the update is almost finished , it crashes at file 7. What should I do ?

Reply Good karma Bad karma+1 vote
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

What's the error message you are getting?

Reply Good karma+1 vote
Pdr_Elessar
Pdr_Elessar - - 3 comments

Huumm... something like "the download has reached its time limit try again ..." It happens every time when arrives at file 7

Reply Good karma Bad karma+1 vote
Pdr_Elessar
Pdr_Elessar - - 3 comments

Turin thank you I got here! But, can You help me with something else ? how do I play the multiplayer? I've installed Tunngle and also added the Edain networks, but how do I can play now? how do I get into a game ?

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,087 comments

Apologies if this is a repetitive question and has been s=answered a number of times, I am having issues with the mod - I am unable to gain access to any missions and not all of the factions for i only seem to be able to access: Gondor, Rohan, Dwarves, Mordor and Isengard.
Again apologies if i am annoying everyone but I am new to the mods
Many thanks in advance

Reply Good karma Bad karma0 votes
Gnomi
Gnomi - - 4,488 comments

Moddb.com

This is still a beta, we are adding all the new factions in the next few updates. In the next version we'll integrate Lothlorien. :)

Reply Good karma Bad karma+1 vote
Yalz
Yalz - - 6 comments

To the creators of this great mod: I'm thinking of having two seperate folders of Rotwk, one for edain 3.8.1 and one for the latest. Now my question is, is there still a place to download that and can i actually do this?

Reply Good karma Bad karma+1 vote
Gnomi
Gnomi - - 4,488 comments

You mean a download for 3.81?
No official, but you'll find it if you google it.
Just be sure that the folder with 4.0 is your normal Rotw folder and the copied folder is for 3.81 - otherwise our launcher won't be able to update the mod. ;)

Reply Good karma Bad karma+2 votes
Guest
Guest - - 692,087 comments

This comment is currently awaiting admin approval, join now to view.

nmut
nmut - - 2 comments

I downloaded this mod today and i couldn't update it. I don't know why but when i try to update it i receive an error message which tells that: "The specified executable is not valid application for this OS platform."

I'm using windows 7 32 bit.

Reply Good karma Bad karma+1 vote
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Did you install the demo at first? When does the error appear exactly?

Reply Good karma+1 vote
nmut
nmut - - 2 comments

Yeah, i installed the demo, i can play 4.0 version without any problems.

Error occurs when i open the launcher and click the update button. It searches and finds updates. (368 mb or something) Then i click update and i take this error message.

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,087 comments

so to play edain, i have to download the demo, then download the launcher? Also, will i be able to go back to toggle back between edain and normal lotr?

Reply Good karma Bad karma0 votes
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Exactly, or simply update the Launcher. This download is only available because some people had problems updating with previous versions of the Launcher.

Reply Good karma+1 vote
ramez3452
ramez3452 - - 6 comments

hi edain team i have version 4.0 demo but i dont have any update why ?

Reply Good karma Bad karma+1 vote
Turin_Turumbar Author
Turin_Turumbar - - 1,320 comments

Can you play the dwarves? You have the latest version when you can play them.

Reply Good karma+1 vote
david_1996
david_1996 - - 11 comments

Hello, good morning.

this morning i was trying to use the launcher, and in the moment i clicked on "update", i recived a message saying "could not connect to server"

please, what should i do?

Reply Good karma Bad karma+1 vote
Gnomi
Gnomi - - 4,488 comments

Just try again after some time. This can be a temporal problem.

Reply Good karma Bad karma+1 vote
ramez3452
ramez3452 - - 6 comments

hmmmm yeah i can play dwarves ty turin

Reply Good karma Bad karma+1 vote
Gnomi
Gnomi - - 4,488 comments

Then you probably already have the newest update. :)

Reply Good karma Bad karma+1 vote
Guest
Guest - - 692,087 comments

plz team in game war of the ring if i play isengart i cant build on map isengart plz if u can fix it

Reply Good karma Bad karma0 votes
Gnomi
Gnomi - - 4,488 comments

Already fixed for the next version.

Reply Good karma Bad karma+1 vote
ramez3452
ramez3452 - - 6 comments

ty mate :)

Reply Good karma Bad karma+1 vote
instilation00
instilation00 - - 66 comments

Having an issue when trying to launch. After I press play, a game crash window shows up saying

Invalid Sound 'SnowStereoLoop'

Fix anyone?

Reply Good karma Bad karma+1 vote
instilation00
instilation00 - - 66 comments

nevermind, fixed it ^^

Reply Good karma Bad karma+1 vote
Stephangadeberg
Stephangadeberg - - 1 comments

how did you fix it ? :)

Reply Good karma Bad karma+1 vote
SamwiseJenkins
SamwiseJenkins - - 322 comments

Hi guys, My edain was working perfectly about a week ago but now It won't start, I've tried installing and re installing twice but the same error comes up when I try to launch the game saying "an upgrade mask references Upgrade_TREESTART, which is not an upgrade" can anyone help?

Reply Good karma Bad karma+1 vote
Gnomi
Gnomi - - 4,488 comments

You have other mods installed beside of edain. Deactivate them before you install edain and it should work. :)

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.